<script>
import Layout from '../../layouts/main.vue'
import PageHeader from '../../components/page-header.vue'
import Profile from './profile.vue'
import ChangePassword from './change-password.vue'
import Billing from './billing.vue'

export default {
    components: { Layout, PageHeader, Profile, ChangePassword, Billing },
    data() {
        return{
        }
    },
    mounted(){
    },
    methods:{
    }
}
</script>

<template>
    <Layout>
        <PageHeader :title="trans.get('__JSON__.Profile')">
            <template  v-slot:icon>
                <i class="bx bx-user"></i>
            </template>
            <template v-slot:right>
                <h4>{{trans.get('__JSON__.Client Id') +' : '+ $auth.user.id }}</h4>
            </template> 
        </PageHeader>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <b-tabs justified nav-class="nav-tabs-custom" content-class="p-3 text-muted">
                            <b-tab active>
                                <template v-slot:title>
                                <span class="d-inline-block d-sm-none">
                                    <i class="fas fa-home"></i>
                                </span>
                                <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Profile') }}</span>
                                </template>
                                <Profile />
                            </b-tab>
                            <b-tab>
                                <template v-slot:title>
                                <span class="d-inline-block d-sm-none">
                                    <i class="far fa-user"></i>
                                </span>
                                <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Change Password') }}</span>
                                </template>
                                <ChangePassword/>
                            </b-tab>
                            <b-tab>
                                <template v-slot:title>
                                <span class="d-inline-block d-sm-none">
                                    <i class="far fa-user"></i>
                                </span>
                                <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Billing') }}</span>
                                </template>
                                <Billing/>
                            </b-tab>
                        </b-tabs>
                    </div>
                </div>
            </div>
        </div>
    </Layout>
</template>

